package com.jiuqi.util;

import java.util.ArrayList;
import java.util.List;
import java.util.Stack;

/* loaded from: com_jiuqi_util.jar:com/jiuqi/util/SortList.class */
public class SortList {
    private Stack cacheItems = new Stack();
    private List sortItems = new ArrayList();

    public void reset() {
        this.cacheItems.addAll(this.sortItems);
        this.sortItems.clear();
    }

    public void addItem(Object key, int identy) {
        SortItem si;
        if (this.cacheItems.empty()) {
            si = new SortItem(key, identy);
        } else {
            si = (SortItem) this.cacheItems.pop();
            si.key = key;
            si.identy = identy;
        }
        this.sortItems.add(si);
    }

    public void addItem(Object key, Object value) {
        SortItem si;
        if (this.cacheItems.empty()) {
            si = new SortItem(key, value);
        } else {
            si = (SortItem) this.cacheItems.pop();
            si.key = key;
            si.value = value;
        }
        this.sortItems.add(si);
    }

    public void sort(boolean desc) {
        JqLib.listSort(this.sortItems);
        if (desc) {
            JqLib.listRevert(this.sortItems);
        }
    }

    public int size() {
        return this.sortItems.size();
    }

    public Object getKey(int index) {
        return ((SortItem) this.sortItems.get(index)).key;
    }

    public int getIdenty(int index) {
        return ((SortItem) this.sortItems.get(index)).identy;
    }

    public Object getValue(int index) {
        return ((SortItem) this.sortItems.get(index)).value;
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v2, types: [java.util.Stack] */
    /* JADX WARN: Type inference failed for: r0v3, types: [java.lang.Throwable] */
    /* JADX WARN: Type inference failed for: r0v7 */
    public int findAsc(Object key) {
        SortItem si = null;
        ?? r0 = this.cacheItems;
        synchronized (r0) {
            if (!this.cacheItems.empty()) {
                si = (SortItem) this.cacheItems.pop();
                si.key = key;
                si.identy = 0;
            }
            r0 = r0;
            if (si == null) {
                si = new SortItem(key, 0);
            }
            int result = JqLib.listFind(this.sortItems, si);
            this.cacheItems.add(si);
            return result;
        }
    }

    public int indexOfIdenty(int identy) {
        for (int i = 0; i < this.sortItems.size(); i++) {
            SortItem si = (SortItem) this.sortItems.get(i);
            if (si.identy == identy) {
                return i;
            }
        }
        return -1;
    }

    public int indexOfValue(Object value) {
        for (int i = 0; i < this.sortItems.size(); i++) {
            SortItem si = (SortItem) this.sortItems.get(i);
            if (si.value == value || (value != null && value.equals(si.value))) {
                return i;
            }
        }
        return -1;
    }
}
